/* c_mark.cc
 $Header: /al/acs/src/RCS/c_mark.cc,v 8.1 95/04/23 18:19:32 al Exp $
 * Support for mark and unmark commands
 * In this file to keep diff from going nuts.
 */
#include "ecah.h"
#include "e_node.h"
#include "u_status.h"
#include "s__.h"
#include "c_comand.h"
#include "declare.h"
/*--------------------------------------------------------------------------*/
	void trkeep();
	void trestor();
//	void CMD::mark(CS&);
//	void CMD::unmark(CS&);
/*--------------------------------------------------------------------------*/
extern struct nodestuff ns;
static int keepold;			/* flag: keep old data		    */
/*--------------------------------------------------------------------------*/
void trkeep()
{
  if (!keepold){
    for (int ii = 1;  ii <= STATUS::total_nodes;  ii++){
      ns.vdc[ii] = ns.v0[ii];
    }
    SIM::last_time = (SIM::time0 > 0.) ? SIM::time0 : 0.;
  }
}
/*--------------------------------------------------------------------------*/
void trestor()
{
  for (int ii = 1;  ii <= STATUS::total_nodes;  ii++){
    ns.v0[ii] = ns.vdc[ii];
  }
}
/*--------------------------------------------------------------------------*/
void CMD::mark(CS& x)
{
  keepold = YES;
}
/*--------------------------------------------------------------------------*/
void CMD::unmark(CS& x)
{
  keepold= NO;
}
/*--------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------*/
