/* globals.cc
 $Header: /al/acs/src/RCS/globals.cc,v 8.1 95/04/23 18:20:08 al Exp $
 */
#include "ecah.h"
#include "e_node.h"
#include "e_card.h"
#include "m_matrix.h"
#include "error.h"
/*--------------------------------------------------------------------------*/
/* sparse matrix */
BSMATRIXdouble aa;
BSMATRIXdouble lu;
BSMATRIXcomplex acx;

/* nodes, hold between commands */
struct nodestat *nstat;		/* node status flags			*/
struct nodestuff ns;		/* dctran node voltages, currents, etc.	*/
/*--------------------------------------------------------------------------*/
/* other (the ultimate in disorder) */
double genout;			/* tr dc input to circuit (generator)	*/
char head[BUFLEN+3];
FILE *stream[MAXHANDLE+1];	/* reverse of fileno()			*/
/*--------------------------------------------------------------------------*/
/* command interpreter, control stuff */
jmp_buf envp;			/* environment for setjmp, longjmp	*/
int cmdcount;			/* command counter, for history		*/
int crtplot = NO;		/* flag: is plotting on the crt		*/
int run_mode;			/* variations on handling of dot cmds   */

/* sweep command */
int swp_count[RECURSE];		/* sweep counter			*/
int swp_steps[RECURSE];		/* sweep number of steps		*/
int swp_type[RECURSE];		/* type of sweep (log or linear)	*/
int swp_nest;			/* sweep nesting (recursion) level	*/

/* initial conditions fudge (yuck) */
int in_curr;			/* flag: initial current exists		*/
int in_volt;			/* flag: initial voltage exists		*/
int in_cond;			/* flag: generic initial cond exists	*/
double init_curr;		/* initial current			*/
double init_volt;		/* initial voltage			*/
double init_cond;		/* generic initial condition		*/

/* commonly used error messages */
char e_int[]	= "internal error: %s\n";
char e_om[]	= "out of memory: %s\n";
/*--------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------*/
