/* s_dc.h		-*- C++ -*-
 *$Header: /al/acs/src/RCS/s_dc.h,v 8.1 95/04/23 18:19:12 al Exp $
 * DC and OP analysis
 */
#define S_DC_H
#include "s__.h"
/*--------------------------------------------------------------------------*/
class CARD;
/*--------------------------------------------------------------------------*/
class DCOP : public SIM {
public:
  	void	command(CS&);
static	void	finish();
protected:
	void	sweep();
	void	first(int);
	int	next(int);
virtual	void	setup(CS&) = 0;
	void	options(CS&);
private:
static	void	by(CS&);
static	void	decade(CS&);
static	void	times(CS&);
protected:
  double start[DCNEST];
  double stop[DCNEST];
  double step[DCNEST];
  int linswp[DCNEST];
  double *(sweepval[DCNEST]);	// pointer to thing to sweep, dc command
  CARD *(zap[DCNEST]);		// to branch to zap, for re-expand
  int loop;			// flag: after sweeping, do it again backwards
  int reverse;			// flag: sweep backwards
  int cont;			// flag: continue from previous run
  int trace;			// enum: show extended diagnostics
};
/*--------------------------------------------------------------------------*/
class DC : public DCOP {
private:
	void	setup(CS&);
};
/*--------------------------------------------------------------------------*/
class OP : public DCOP {
private:
	void	setup(CS&);
};
/*--------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------*/
